<?php

$host = '189.84.71.200';
$banco = 'esus'; 
$usuario = 'postgres';     
$senha = '#AA8T1t~V7XeSj0R@4F_meGrB-tKZU';       
$porta = '1000';


$ip_postgres = $host;
$porta_postgres = $porta;
$usuario_postgres = $usuario;
$senha_postgres = $senha;
$banco_postgres = $banco; 

    
$dsn = "pgsql:host=$ip_postgres;port=$porta_postgres;dbname=$banco_postgres;";
$pdo_pgsql = new PDO($dsn, $usuario_postgres, $senha_postgres, [
        PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION
]);



////////////////////////////// GET ///////////////////////////

$cnes = isset($_GET['cnes']) ? $_GET['cnes'] : null; //Filtro CNES para profissionais

$ine = isset($_GET['ine']) ? $_GET['ine'] : null; // Filtro INE para profissionais

$tp_busca = isset($_GET['busca']) ? (int)$_GET['busca'] : 0; //&busca=1 para bsucar profissionais ou &busca=0 ou null para bsucar unidades



///////////////////////////////////////////////////// SQL UNIDADES ///////////////////////////////////////////////////////
if ($tp_busca == 0) {
   
$sql = " SELECT 
     nu_cnes,
     UPPER(no_unidade_saude) as no_unidade_saude,
     tp_unidade_saude
    FROM
    tb_unidade_saude
     WHERE st_ativo = 1 order by no_unidade_saude";

$stmt = $pdo_pgsql->prepare($sql);
$stmt->execute();
$unidades = $stmt->fetchAll(PDO::FETCH_ASSOC);

echo "<option value=''>Selecione a unidade</option>";
foreach ($unidades as $unidade) {
    
    echo "<option value='" . htmlspecialchars($unidade['nu_cnes']) . "'>" . htmlspecialchars($unidade['no_unidade_saude']) . "</option>";
}



///////////////////////////////////////////////////// SQL PROFISSIONAIS ///////////////////////////////////////////////////////

} else {

$sql = "SELECT DISTINCT ON (t3.no_profissional)
                UPPER(t3.no_profissional) AS prof_conc,
                 t2.no_cbo
        FROM
            tb_lotacao t1
        LEFT JOIN tb_cbo t2 ON t1.co_cbo = t2.co_cbo
        LEFT JOIN tb_prof t3 ON t1.co_prof = t3.co_seq_prof
        LEFT JOIN tb_unidade_saude t4 ON t1.co_unidade_saude = t4.co_seq_unidade_saude
        LEFT JOIN tb_equipe t5 ON t1.co_equipe = t5.co_seq_equipe
        WHERE TRUE";

            if ($cnes) {
                $sql .= " AND t4.nu_cnes = :cnes";
            }
            
            if ($ine) {
                $sql .= " AND t5.nu_ine = :equipe";
            }
        $sql .= " ORDER BY t3.no_profissional";

$stmt = $pdo_pgsql->prepare($sql); 

if ($cnes) {
    $stmt->bindParam(':cnes', $cnes, PDO::PARAM_STR);
}

if ($ine) {
    $stmt->bindParam(':equipe', $ine, PDO::PARAM_STR);
}
$stmt->execute();
$profissionais = $stmt->fetchAll(PDO::FETCH_ASSOC);



echo "<option value=''>Selecione o profissional</option>";
foreach ($profissionais as $profissional) {
     echo "<option value='" . htmlspecialchars($profissional['prof_conc']) . "'>" . 
    htmlspecialchars($profissional['prof_conc']) . ' - '.  htmlspecialchars($profissional['no_cbo']) . 
    "</option>";
}
}


?>
